using System;
using System.Runtime.CompilerServices;
using System.Security.Principal;

namespace takmicenje1
{
    class Program
    {
        struct pod 
        {
            public double x;
            public double y;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            pod[] p = new pod[n];

            for (int i = 0; i < n; i++) {
                string[] unos = Console.ReadLine().Split();
                p[i].x = Convert.ToDouble(unos[0]);
                p[i].y = Convert.ToDouble(unos[1]);
            }
            
            Array.Sort(p, (y, x) => x.y.CompareTo(y.y));

            double porez = 0;
            double bzarada = 0;
            double maks = 0;

            for (int i = 0; i < n; i++) {
                double zarada = 0;
                porez = p[i].y;
                bzarada += p[i].x;
                zarada = bzarada * porez / 100;
                if (zarada >= maks) maks = zarada;
            }
            Console.WriteLine(maks);
        }
    }
}